Retrieve the system oil consumption over time data for a ship

Retrieve the system oil consumption over time data for a ship.

Consumption is calculated as follows:

  • If sys_oil_consumption is not null, use this value

  • Otherwise, calculate based on how much system oil was used since the previous time period: (previous_sys_oil_rob - current_sys_oil_rob) / time_period_days where:

    • previous_sys_oil_rob and current_sys_oil_rob are in metric tons (mt)
    • time_period_days is the time difference between consecutive datetime_end values in days
    • Result is in mt/day
  • sensor_consumption_over_time: The consumption over time data from the sensor data.

  • nr_consumption_over_time: The consumption over time data from the noon report data.

Returns: GetSystemOilConsumptionOverTimeResponse

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required
Query Params
Responses

404

Not Found

501

Not Implemented

Language
Credentials
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json